<?php if (!defined('PmWiki')) exit();
/**
 * version.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2005-2014
 * @note This file is part of Cookbook recipe "Phplm" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package phplm
 */

/**
 * @note Array for all modules/cookbook
 */
    global $cookbook;

    $prefix = 'phplm';
    $cookbook[$prefix]['name'] = 'phplm';
    $cookbook[$prefix]['version'] = '2.3.3';
    $cookbook[$prefix]['versionnum'] = '2003003';
    $cookbook[$prefix]['description'][] = "PmWiki Menu System using phplayersmenu";
    $cookbook[$prefix]['date']['datenum'] = '20140612';
    $cookbook[$prefix]['dependencies']['php']['version'] = "4.3.0";
    $cookbook[$prefix]['dependencies']['pmwiki']['version'] = "2.2.x";
    $cookbook[$prefix]['author']['name'] = 'V.Krishn';
    $cookbook[$prefix]['author']['resource'][] = "http://www.insteps.net";
    $cookbook[$prefix]['author']['email'][] = 'vkrishn@insteps.net';
    $cookbook[$prefix]['contributors']['1']['name'] = "Marco Pratesi";
    $cookbook[$prefix]['contributors']['1']['resource'] = "http://www.marcopratesi.it";
    $cookbook[$prefix]['contributors']['1']['email'] = "marco@marcopratesi.it";
    $cookbook[$prefix]['comment'][] = "Compatible with PmWiki 2.2.x";
    $cookbook[$prefix]['licence'][] = "GNU General Public License";

    /**
     * Cookbook guideline variable
     * @see http://www.pmwiki.org/wiki/Cookbook/ModuleGuidelines
     */
       $RecipeInfo[$prefix]['Version'] = $cookbook[$prefix]['version'];

/**
 * @note Variable/markup to use/display within wiki
 */
    // format "phplm-2.1.1-20100112"
    $phplmVersion =
        $cookbook[$prefix]['name']."-".
        $cookbook[$prefix]['version']. '-'.
        $cookbook[$prefix]['date']['datenum'];
    $FmtPV['$phplmVersion'] = "'$phplmVersion'";
    //$FmtPV['$phplmVersion'] = '$GLOBALS["phplmVersion"]';


