// PHP Layers Menu 3.2.1-rc (C) 2012-2014 V.Krishn - http://www.insteps.net/

(function( _treemenu_toggle, undefined ) {
	_treemenu_toggle.getUrl = function (src) {
		var r = (/(.*)\/([^\/]*)#([^#]*)$/i).exec(src);
		if(r) {
			this.open = r[1] + '/'+ r[3].replace(':','_open.')+'#'+r[3];
			this.closed = r[1] + '/'+ r[3].replace(':','_closed.')+'#'+r[3];
		}
		return this;
	}
	_treemenu_toggle.jts = function(obj, nm, tn, data) {
		_treemenu_toggle.setCookieVars(nm);
		_treemenu_toggle.setnode(obj);
		if(typeof node.jts !== 'object') { return; }
		var r = _treemenu_toggle.arrJtsCls(node.jts.className);
		_treemenu_toggle.toggle(node.jts, obj, node.f , r[2], data);
		return;
	}
	_treemenu_toggle.arrJtsCls = function(cls) {
		return (/^jt(\d+)n(\d+)(son)\s+(.*)$/i).exec(cls);
	}
	_treemenu_toggle.setnode = function(obj) {
		cls = obj.className; node = {};
		if((cls.indexOf('expand') > -1) || (cls.indexOf('collapse') > -1) ) {
			if(obj.tagName == 'LI') { p = obj; node.f = obj.firstChild; }
			else { p = obj.parentNode; node.f = this.next(obj);
			}
		} else { return; }
		if(p.tagName == 'LI') {
			ul = p.getElementsByTagName('ul'); node.jts = ul[0];
		} else {
			node.jts = this.next(p);
		}
	}
	_treemenu_toggle.img = function(oImg, a, b, data) {
		if(oImg.getAttribute('data-icon')) {
			_treemenu_toggle.bgImg(oImg, a, b, data); return; }
		if( ! oImg.src) { return; }
		if (oImg.src.indexOf(data[a]) > -1) {
			oImg.src = data[0]+'/'+data[b];
		} else if (_treemenu_toggle.open) {
			if( a == 1) { oImg.src = _treemenu_toggle.open; }
			if( a == 2) { oImg.src = _treemenu_toggle.closed; }
		}
	}
	_treemenu_toggle.bgImg = function(obj, a, b, data) {
		if( a == 1) { this.setBgUrl(obj, 'open'); }
		if( a == 2) { this.setBgUrl(obj, 'closed'); }
		return;
	}
	_treemenu_toggle.setBgUrl = function (obj, status) {
		u = _treemenu_toggle.data['icons']+'/'+obj.getAttribute('data-icon');
		url = _treemenu_toggle.getUrl(u);
		if (_treemenu_toggle.open) {
			obj.style['background'] = "url("+_treemenu_toggle[status]+") top left no-repeat";
		}
	}
	_treemenu_toggle.setBgUrl2 = function (obj) {
		u = _treemenu_toggle.data['icons']+'/'+obj.getAttribute('data-icon');
		obj.style['background'] = "url("+u+") top left no-repeat";
	}
	_treemenu_toggle.prev = function (el) {
		prev = el.previousSibling; if( ! prev) return el;
		while (prev.nodeType !=1) { prev = prev.previousSibling; }; return prev;
	}
	_treemenu_toggle.next = function (el) {
		next = el.nextSibling; if( ! next) return el;
		while (next.nodeType !=1) { next = next.nextSibling; }; return next;
	}
	_treemenu_toggle.links = function(tree, nums, data) {
		links = tree.getElementsByTagName('a');
		_treemenu_toggle.setCookieVars(tree.id); _treemenu_toggle.cookieInit();
		for(l=0; l<links.length; l++) {
			p = links[l].parentNode; ps = this.prev(links[l]).previousSibling;
			if(ps && ps.tagName == 'SPAN') { f = ps; } else { f = p; }
			_treemenu_toggle.setnode(f);
			
			dataicon = links[l].getAttribute('data-icon');
			if(dataicon && dataicon.indexOf('#') > -1) { this.setBgUrl(links[l],'open'); }
			if(dataicon && dataicon.indexOf('#') < 0) { this.setBgUrl2(links[l]); }

			if(typeof node.jts !== 'object') { continue; }
			var r = _treemenu_toggle.arrJtsCls(node.jts.className);
			n = (r == null) ? 1 : r[2];
			if (phplm_expand[n] != 1) { _treemenu_toggle.jts(f, tree.id, '', data); }
		}
	}
	_treemenu_toggle.setCookieVars = function(nm) {
		_treemenu_toggle.expand = 'phplm_expand'+nm;
		_treemenu_toggle.collapse = 'phplm_collapse'+nm;
	}
	_treemenu_toggle.cookieInit = function() {
		parseExpandString(_treemenu_toggle.expand);
		parseCollapseString(_treemenu_toggle.collapse);
	}
	_treemenu_toggle.toggle = function (sonLayer, nodeLayer, folderLayer, nodeid, data) {
		if ((!DOM || Opera56 || Konqueror22) && !IE4) { return; }
		layersMoved = 0;
		parseExpandString(_treemenu_toggle.expand);
		parseCollapseString(_treemenu_toggle.collapse);

		_treemenu_toggle.getUrl(folderLayer.src);
		
		if (sonLayer.style.display == 'none') {
			sonLayer.style.display = 'block';
			cls = nodeLayer.className.replace('expand','collapse');
			nodeLayer.className = cls;
			_treemenu_toggle.img(folderLayer, 1, 2, data);

			phplm_expand[nodeid] = 1;
			//phplm_collapse[nodeid] = 0;
		} else {
			sonLayer.style.display = 'none';
			cls = nodeLayer.className.replace('collapse','expand');
			nodeLayer.className = cls;
			_treemenu_toggle.img(folderLayer, 2, 1, data);
			
			phplm_expand[nodeid] = 0;
			//phplm_collapse[nodeid] = 1;
		}
		saveExpandString(_treemenu_toggle.expand);
		//saveCollapseString(_treemenu_toggle.collapse);
	}
	_treemenu_toggle.data = {};

	_treemenu_toggle.init = function(nodename, theme) {
		if ((DOM && !Opera56 && !Konqueror22) || IE4) {
			var imgs = theme+'imgs';
			var node = document.getElementById(nodename);
			_treemenu_toggle.links(node, _treemenu_toggle.data[nodename], _treemenu_toggle.data[imgs]);
			node.onmousedown = function(e) {
				_treemenu_toggle.jts(e.target, nodename, '', _treemenu_toggle.data[imgs]);
			}
		}
		if (NS4) alert(_treemenu_toggle['NS5']);
	}
	_treemenu_toggle['NS5'] =  "Only the accessibility is provided to Netscape 4 on the JavaScript Tree Menu.\nWe *strongly* suggest you to upgrade your browser.";

	_treemenu_toggle.init3 = function(nodename, theme, num, fn) {
		if ((DOM && !Opera56 && !Konqueror22) || IE4) {
		  _treemenu_toggle.setCookieVars(num); _treemenu_toggle.cookieInit();
		  for(l=0; l<_treemenu_toggle.data[nodename].length; l++) {
		    _t = _treemenu_toggle.data[nodename][l]; if (phplm_expand[_t] != 1) fn(_t); }
		}
		if (NS4) alert(_treemenu_toggle['NS5']);	
	}

}( this._treemenu_toggle = this._treemenu_toggle || {} ) );
		

function treemenu_toggle(nm, nodeid, data)
{
	if ((!DOM || Opera56 || Konqueror22) && !IE4) { return; }
	_treemenu_toggle.setCookieVars(nm);
	node = 'jt' + nm + nodeid;
	if (!IE4) {
		sonLayer = document.getElementById(node + 'son');
		nodeLayer = document.getElementById(node + 'node');
		folderLayer = document.getElementById(node + 'folder');
	} else {
		sonLayer = document.all(node + 'son');
		nodeLayer = document.all(node + 'node');
		folderLayer = document.all(node + 'folder');
	}
	_treemenu_toggle.toggle(sonLayer, nodeLayer, folderLayer, nodeid, data);
}
_treemenu_toggle.setCookieVars(''); _treemenu_toggle.cookieInit();
